/*
 * Copyright (c) 2021 jdlib, https://github.com/jdlib
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package deepdive.actual.reflect;


import static deepdive.ExpectThat.*;
import org.junit.Test;
import deepdive.actual.AbstractActualTest;
import deepdive.actual.reflect.MethodActual;


/**
 * Tests {@link MethodActual}.
 */
public class MethodActualTest extends AbstractActualTest
{
	@Test public void test() throws Exception
	{
		expectThat(getClass())
			.methodPublic("test")
				.name("test")
				.paramCount(0)
				.returnType(Void.TYPE)
				.back()
			.methodDeclared("some", String.class)
				.modifiers()
					.isStatic()
					.isPrivate()
					.back()
				.returnType(Integer.class)
				.paramCount(1)
				.paramType(0).same(String.class).back()
				.exceptionTypes()
					.iterator()
						.next().same(UnsupportedOperationException.class).back()
						.end$();
	}


	@SuppressWarnings("unused")
	private static Integer some(String s) throws UnsupportedOperationException
	{
		return null;
	}
}
